package com.gxzc.zen.api.sys.service

import com.gxzc.zen.api.sys.model.SysRole
import com.gxzc.zen.api.sys.model.SysUserRole
import com.gxzc.zen.common.base.BaseService

/**
 * <p>
 * 用户角色表 服务类
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-06
 */
interface ISysUserRoleService : BaseService<SysUserRole> {
    /**
     * 获取指定用户的角色列表
     */
    fun getUserRoleListByUserId(id: Long): MutableList<SysRole>

    /**
     * 获取所有用户的角色列表
     */
    fun getUserRoleList(): Map<Long, MutableList<SysRole>>
}
