package com.gxzc.zen.common.util

import com.gxzc.zen.common.properties.PlatformProperties

/**
 * 平台工具类
 * @author NorthLan
 * @date 2018/2/6
 * @url https://noahlan.com
 */
object PlatformUtil {
    private val properties: PlatformProperties? = SpringContextHolder.getBean(PlatformProperties::class.java)

    fun getPlatformId(): String? {
        return properties?.id
    }

    fun getProperties(): PlatformProperties? {
        return properties
    }
}